require('dotenv').config();
const tmi = require('tmi.js');
const colors = require('colors');

console.log(process.env.API_HOST);

const client = new tmi.Client({
  options: { debug: true },
  connection: {
    secure: true,
    reconnect: true
  },
  identity: {
    username: process.env.TTV_BOT_USERNAME,
    password: process.env.TTV_BOT_OAUTH
  },
  channels: [ process.env.TTV_CHANNELS ]
});

client.connect();

// Define DB pull

// Ban function